
/** @module : tb_Real_Cores_Mesh_top
 *  @author : Michel Kinsy
 
 *  Copyright (c) 2010 Heracles (CSG/CSAIL/MIT)
 *  Permission is hereby granted, free of charge, to any person obtaining a copy
 *  of this software and associated documentation files (the "Software"), to deal
 *  in the Software without restriction, including without limitation the rights
 *  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 *  copies of the Software, and to permit persons to whom the Software is
 *  furnished to do so, subject to the following conditions:
 *  The above copyright notice and this permission notice shall be included in
 *  all copies or substantial portions of the Software.

 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 *  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 *  THE SOFTWARE.
 */
//`include "tb_Real_Cores_Mesh.v"

module tb_Real_Cores_Mesh_top (
); 

    
wire [31: 0] data; 
wire valid;
reg cmd; 
reg Bus2IP_Reset;
reg Bus2IP_Clk;      
 
assign output0 = data[0];
 
   
// Connect the DUT
Real_Cores_Mesh_Wrapper TB_M(.clock(Bus2IP_Clk), .RST(Bus2IP_Reset), .cmd(cmd), .data(data), .valid(valid));  
  
// Clock generator
always #1 Bus2IP_Clk = ~Bus2IP_Clk;

initial begin
  $display (" --- Start --- ");
  Bus2IP_Clk <= 0; 
  Bus2IP_Reset <= 1; 
  repeat (1) @ (posedge Bus2IP_Clk);
  
  Bus2IP_Reset <= 0; 
  cmd <= 0;
  repeat (10) @ (posedge Bus2IP_Clk);
  
  cmd <= 1;
  repeat (10) @ (posedge Bus2IP_Clk);
  
end

always @ (posedge Bus2IP_Clk)
  if(valid) $display ("Data [%h]", data); 

endmodule
